Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Interface ComponentEvents

All Known Subinterfaces:
  GLAutoDrawable, GLPbuffer

All Known Implementing Classes:
  GLCanvas, GLJPanel

public interface ComponentEvents

Factors out the listener manipulation for the events supported by all of the `GLDrawable` implementations. Provided to reduce clutter in the documentation for GLDrawable.

Method Summary
`void` | `addComponentListener(ComponentListener l)`
`void` | `addFocusListener(FocusListener l)`
`void` | `addHierarchyBoundsListener(HierarchyBoundsListener l)`
`void` | `addHierarchyListener(HierarchyListener l)`
`void` | `addInputMethodListener(InputMethodListener l)`
`void` | `addKeyListener(KeyListener l)`
`void` | `addMouseListener(MouseListener l)`
`void` | `addMouseMotionListener(MouseMotionListener l)`
`void` | `addMouseWheelListener(MouseWheelListener l)`
`void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener listener)`
`void` | `removeComponentListener(ComponentListener l)`
`void` | `removeFocusListener(FocusListener l)`
`void` | `removeHierarchyBoundsListener(HierarchyBoundsListener l)`
`void` | `removeHierarchyListener(HierarchyListener l)`
`void` | `removeInputMethodListener(InputMethodListener l)`
`void` | `removeKeyListener(KeyListener l)`
`void` | `removeMouseListener(MouseListener l)`
`void` | `removeMouseMotionListener(MouseMotionListener l)`
`void` | `removeMouseWheelListener(MouseWheelListener l)`
`void` | `removePropertyChangeListener(PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener listener)`

Method Detail

### addComponentListener

    public void addComponentListener(ComponentListener l)

### removeComponentListener

    public void removeComponentListener(ComponentListener l)

### addFocusListener

    public void addFocusListener(FocusListener l)

### removeFocusListener

    public void removeFocusListener(FocusListener l)

### addHierarchyBoundsListener

    public void addHierarchyBoundsListener(HierarchyBoundsListener l)

### removeHierarchyBoundsListener

    public void removeHierarchyBoundsListener(HierarchyBoundsListener l)

### addHierarchyListener

    public void addHierarchyListener(HierarchyListener l)

### removeHierarchyListener

    public void removeHierarchyListener(HierarchyListener l)

### addInputMethodListener

    public void addInputMethodListener(InputMethodListener l)

### removeInputMethodListener

    public void removeInputMethodListener(InputMethodListener l)

### addKeyListener

    public void addKeyListener(KeyListener l)

### removeKeyListener

    public void removeKeyListener(KeyListener l)

### addMouseListener

    public void addMouseListener(MouseListener l)

### removeMouseListener

    public void removeMouseListener(MouseListener l)

### addMouseMotionListener

    public void addMouseMotionListener(MouseMotionListener l)

### removeMouseMotionListener

    public void removeMouseMotionListener(MouseMotionListener l)

### addMouseWheelListener

    public void addMouseWheelListener(MouseWheelListener l)

### removeMouseWheelListener

    public void removeMouseWheelListener(MouseWheelListener l)

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

### addPropertyChangeListener

    public void addPropertyChangeListener(String propertyName,
                                          PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(String propertyName,
                                             PropertyChangeListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.